#include <iostream>

using namespace std;

int brojNovcanica = 0;

int zaKolikoSeUvecava(int c)
{
    if(c == 1 || c == 2 || c == 5) return 1;
    if(c == 3 || c == 4 || c == 6 || c == 7) return 2;
    if(c == 8 || c == 9) return 3;
}

void brojPotrebnihNovcanica(long long v)
{
    long long cifra;

    while(v>=10) {
        cifra = v%10;
        v = v / 10;
        brojNovcanica+= zaKolikoSeUvecava(cifra);
    }

    brojNovcanica += zaKolikoSeUvecava(v);
    cout << brojNovcanica << endl;
}

int main()
{
    long long v;
    cin >> v;

    brojPotrebnihNovcanica(v);
    return 0;
}